var member_id = 0;
var type = 0;
var user_id = 0;
var page = 1; //当前页数
var total_page = 0; //售卖信息的
var goodId = 0,vm_msg=null;
apiready = function(){
	$api.fixStatusBar($api.dom('header'));
	goodId = api.pageParam.goodId;
	goodsDetail(goodId);
	scrollGetMoreMsg(vm_msg.page);
};
vm_msg = new Vue({ //留言
	el:'#message',
	data:{
		items:[],
		page: 1,
		totalPage:0,
		totalCount:0,
		publish_id:0,
		u_id:0
	},
	methods:{
		/**
		 * 显示留言弹框
		 * @author xiaojie
		 * @version 1.0
		 * @date 2016/11/24 
		 */
		showMsg:function (control){
			if(control == 'a'){
				isMessage(this.publish_id,function(){
					showMessage(control);
				});
			} else {
				isRep(control,function(){
					showMessage(control);
				});
			}
		}
	}
});
Vue.filter('my_substr',function(input){ //截取留言人的名字
	var len = 6;
	if(input.length > len) return input.substr(0,len)+'...';
	else return input;
})
var user = LocalStorage.getLocalStorage('user');
function openGetFree(){
	var goodId = api.pageParam.goodId;
	if(type == 2 && member_id != user_id){
		if(user) openNewWin('getFreeOrder','../order/getFreeOrder.html',{id_str:goodId,num_str:1,type:1})
		else openNewWin('login','../../html/person/login.html');
	}else{
		api.toast({
	        msg:'自己不能免费拿自己的物品'
        });
	}
}
/**
 * 商品信息数据加载
 * @author panzi
 * @version 1.1
 * @date 2016/10/25
 */
function goodsDetail(goodId){
	var data_ww_val = $('.good-section1').attr('data-ww-val');
	AjaxSendData('Goods/get_goods_detail','','',{goods_id:goodId},function(d){
		member_id = d.data.member_id;
		type = d.data.type;
		user_id = d.data.user_id;
		if(d.code == 1 && d.data != ''){
			vm_msg.publish_id = d.data.member_id;
			var banner = template('show_banner',d);
			document.getElementById('swiper-wrapper').innerHTML = banner;
			var scaleHtml = template('scaleImg',d);
			var details = template('show_details',d);
			showBanner(d);
			document.getElementById('spaceSide').innerHTML = details;
			$('.banner .swiper-slide').click(function(){
				var index = $(this).attr('status');
				scaleImg(index);
			});
			getMessageLists(1);
		}else {
			if(d.code == -8){
				api.alert({
				    title: '',
				    msg: d.msg,
				}, function(ret, err) {
					var index = ret.buttonIndex;
					if(index == 1){
						api.closeWin({});
					}else{
						return;
					}
				})
			}else{
				$('.content-container').html('<p class="prompt-text">'+d.msg+'</p>');
				$('.banner .swiper-wrapper').html('<p class="prompt-text">'+d.msg+'</p>');
			}
		}
		document.querySelector('#loading-box').style.display = 'none';
		var swipers = new Swiper('.banner .swiper-container', {
			pagination : '.swiper-pagination',
			paginationClickable : true,
			autoplay : 6000,
			speed : 200
		});
	});
}
function showBanner(lists) {
	var html = '',banner = lists.data.goods_imgs;
	if (banner && banner.length) {
		for (var i = 0, len = banner.length; i < len; i++) {
			html += '<div class="swiper-slide" status="'+i+'"><img src="' + banner[i] + '" alt="" /></div>';
		}
		$('#scaleImg .swiper-wrapper').append(html);
	}
}
/**
 * vue渲染 
 */
var module = {
	items:[]
}
var vm = new Vue({
	el:'.good-section2',
	data:module,
	methods:{
		
	}
})
/**
 * 加载评论信息
 * @param {Object} lists 返回的商品详情json数据
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/10
 */
function load_comment(page){
	var data_ww_val = $('.good-section2').attr('data-ww-val');
	if(data_ww_val == 0){
		document.querySelector('#loading-box').style.display = 'block';
		$('.good-section2').scrollTop(0);
		AjaxSendData('Goods/get_goods_comments', '', '',{goods_id:goodId,page:page,pageSize:5},function(d){
			totle_page = d.data.total_page;
			if(d.code == 1 && d.data.comment_list != null){
				vm.items = d.data.comment_list;
			} else {
				vm.items = [];
			}
			$('.good-section2').css('display','block');
			document.querySelector('#loading-box').style.display = 'none';
			scrollLoadComment(); //滑动加载更多
		});
	}
}

/**
 * 滚动加载更多
 * @author xiaojie
 * @version 1.0
 * @data 2016/11/10
 */
function scrollLoadComment(){
	api.addEventListener({
	    name:'scrolltobottom',
	    extra:{
	        threshold:0            //设置距离底部多少距离时触发，默认值为0，数字类型
	    }
	}, function(ret, err){   
	    if(page < totle_page){
	  	    page++;
	    	AjaxSendData('Goods/get_goods_comments', '', '',{goods_id:goodId,page:page,pageSize:5},function(d){
				if(d.code == 1 && d.data.comment_list != null){
					vm.items = vm.items.concat(d.data.comment_list);
				} else {
					vm.items = [];
				}
			});
	    }else{
	    	//加载到底部
			$('.load-text-bot').text('已经没有更多数据了');
			$('#bottom-load>img').css('display','none');
			setTimeout(function(){
				$('#bottom-load').css('display','none');
				$('.load-text-bot').text('加载更多');
			},2000);
	    }
	});
}

/**
 * 商品与售卖信息间切换 和商品评论接口
 * @author xiaozhuo
 * @version 1.1
 * @date 2016/10/25
 */
var tabBtn = new SwitchItem($('.good-detail'), 'active');
tabBtn.click(function(index) {
	if (index == 0){
		$('#good-section2').hide();
		$('#good-section1').show();
	}
	if (index == 1){
		$('#good-section1').hide();
		$('#good-section2').show();
		page = 1;
		load_comment(page);
	}
});
/**
 * 显示分享box
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/09
 */
function share(){
	$('.share').show();
	$('.share-div').animate({
		bottom:'0px',
		opacity:1
	});
}
/**
 * 清空分享box，并隐藏
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/09
 */
function resetShareBox(){
	$('#share-div').val('');
	$('.file-img').remove();
	$('#input-file').css('display','block');
	$('.share-div').animate({
		bottom:'-300px',
		opacity:0
	},function(){
		$('.share').css('display','none');
	});
}
/**
 * 判断是IOS还是Android 
 */
function checkIOSOrAnd(){
  	if (navigator.userAgent.match(/(iPhone|iPod|iPad);?/i)) {
        //苹果打开应用地址路径
        return true;
    }else{
    	return false;
    } 
}
//上传图片并显示
createActionSheet(openAlbum,openCamera); //创建选择框
/**
 * 打开图库
 * @param {Object} e 事件对象
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/3
 */
function openAlbum(e){
	stopBubble(e);
	getPhotoUrl($('#photo'),'album',function(base64Url){
		$('.input-file').css('display','none');
		delPic($('#photo .delete-img'));
	});
}
/**
 * 打开张相机
 * @param {Object} e 事件对象
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/3
 */
function openCamera(e){
	stopBubble(e);
	getPhotoUrl($('#photo'),'camera',function(base64Url){
		$('#input-file').css('display','none');
		delPic($('#photo .delete-img'));
	});
}
/**
 * 删除上传的图片
 * @param {Object} deleteObjs 删除按钮对象数组
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/3
 */
function delPic(deleteObjs){
	for(var i=0,len=deleteObjs.length;i<len;i++){
		(function(obj,index){
			$(obj).unbind('click').click(function(){
				$('#input-file').css('display','block');
				$(this).parent('.file-img').remove();
				uploadImgArr.splice(index,1);
			});
		})(deleteObjs[i],i);
	}
}
/**
 * 获取用户分享的内容和图片
 * @param {String} control 1:分享给QQ朋友 2：分享给QQ空间
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/09
 */
function shareImageToQQFun(control){
	var desc = $('#share-div').val();
	var good = $('.photo-img img').eq(0).attr('src');
	var title = '好东西分享给你们哦...';
	if(desc) {
		if(control == 1) shareImageToQQ(title,good,desc,'QFriend'); //分享给QQ朋友
		if(control == 2) shareImageToQQ(title,good,desc,'QZone'); //分享到QQ空间
	} else {
		api.toast({
	        msg:'请添加你要分享的内容哦...'
        });
	}
}
/**
 * 分享内容
 * @param {String} title 分享标题
 * @param {String} good 分享图片地址路径
 * @param {String} desc 分享标题
 * @param {String} control 分享场景：QQ好友还是QQ空间
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/09
 */
function shareImageToQQ(title,good,desc,control){
	var qq = api.require('qq');
	qq.shareNews({
	    url: 'http://app.xiancaivip.com/Admin/share',
	    title: title,
	    description: desc,
	    imgUrl: good,
	    type: control
	},function(ret,err){
		if (ret.status) {
	    	resetShareBox(); //清空分享box，并隐藏
	        api.toast({
                msg:'分享成功'
            });
	    } else {
	        api.toast({
                msg:'分享失败'
            });
	    }
	});
}
/**
 * 获取用户分享的内容和图片
 * @param {String} control 1:分享给微信朋友 2：分享给朋友圈
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/09
 */
function shareImageToWeixinFun(control){
	var desc = $('#share-div').val();
	var good = $('.photo-img img').eq(0).attr('src');
	var title = '好东西分享给你们哦...';
	if(desc) {
		if(control == 1) shareImageToWeixin(title,good,desc,'session'); //分享给微信朋友
		if(control == 2) shareImageToWeixin(title,good,desc,'timeline'); //分享到朋友圈
	} else {
		api.toast({
	        msg:'请添加你要分享的内容哦...'
        });
	}
	
}
/**
 * 分享内容
 * @param {String} title 分享标题
 * @param {String} good 分享图片地址路径
 * @param {String} desc 分享标题
 * @param {String} scene 分享场景：微信好友或则微信朋友圈
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/09
 */
function shareImageToWeixin(title,good,desc,scene){
	if(checkIOSOrAnd()) var good = 'widget://res/logo.png'; 
	var wx = api.require('wx');
	wx.shareWebpage({
	    apiKey: '',
	    scene: scene,
	    title: title,
	    description: desc,
	    thumb: good,
	    contentUrl:  'http://app.xiancaivip.com/Admin/share'
	}, function(ret, err) {
	    if (ret.status) {
	    	resetShareBox(); //清空分享box，并隐藏
	        api.toast({
                msg:'分享成功'
            });
	    } else {	
	        api.toast({
                msg:'分享失败'
            });
	    }
	});
}





