var param = null,vm=null,vm_order=null,type=null,id_str=null,num_str=null,good_id=null,user = LocalStorage.getLocalStorage("user");
apiready=function(){
	$api.fixStatusBar($api.dom('header'));
	id_str = api.pageParam.id_str; //商品
	num_str = api.pageParam.num_str; //商品数量
	type = api.pageParam.type ? api.pageParam.type : 0;  //订单类型
	param = {id_str:id_str,num_str:num_str,type:type,token:user.token}; //获取数据参数
	
	vm = new Vue({ //初始化vue
		el:'#per_info',
		data:{
			perInfo:[],
			pay:[]
		}
	});
	vm_order = new Vue({
		el:'#all-goods-list',
		data:{
			order:[]
		},
		methods:{
			openGoodDetail:function(index){ //打开商品详情
				api.openWin({
			        name: 'freeGoodDetails',
			        url: '../good/freeGoodDetails.html',
			        pageParam: {goodId:index},
			        bounces:false,
			        delay:200
			    });
			}
		}
	});
	api.addEventListener({
	    name:'offline' //监听断网情况
	}, function(ret, err){       
		networkInfo();   
	});
	//监听刷新购买地址事件
	api.addEventListener({
	    name:'reloadAddr'
    },function(ret,err){
    	$('#loading-box').show();
		$('#main').hide();
		$('#calculate').hide();
		location.reload(true);
    });
 	getPersonInfo(); //收货地址信息
}

/**
 * 获取收货人地址信息
 * @author xiaojie
 * @version 1.0
 * @data 2016/11/12 
 */
function getPersonInfo(){
	AjaxSendData('Cart/get_checkout_list','','',param,function(d){
		if(d.code == 1 && d.data.default_address.dist) {
			vm.perInfo.push(d.data.default_address);
		} else {
			//收货地址为空
			$('#per_info').html('<div onclick="openNewWin(\'address_buy_order\',\'address_buy_order.html\',\'\')" class=\"empty-addr">您暂无收货地址，请<span>设置</span>当前收货地址</div>');
		}
		getOrderInfo(); //订单列表
	});
}
/**
 * 获取订单列表
 * @author xiaojie
 * @version 1.0
 * @data 2016/11/12 
 */
function getOrderInfo(){
	AjaxSendData('Cart/get_checkout_cartList','','',param,function(d){
		if(d.code == 1 && d.data.cartList){
			var lists = d.data.cartList;
			vm_order.order = lists.goodsList;
			$('#money').text(lists.orderTotal);
			$('.confirm_money').text(d.data.cartList.goodsList.total_money);
		} else {
			//获取订单数据失败
			api.toast({
	            msg:d.msg
            });
		}
		$('#loading-box').hide();
		document.getElementById('main').style.display = 'block';
		document.getElementById('calculate').style.display = 'block';
	});
}
/**
 * 点击确认按钮，检查订单数据
 * @author xiaojie
 * @version 1.2
 * @date 2016/11/14
 */
function isOkOrder(){
	var isSureOrder = $('#status').val(); //判断是否已经对免费拿商品下单
	if(isSureOrder != '' && isSureOrder != ' '){ //已下单
		api.toast({
	        msg:'您已成功确认订单，请不要重复操作！'
        });
        return false;
	} else { //未下单
		var address_id = $('.addr-info').attr('data-id'); //地址id
		var orderTotal = $('#money').text().trim(); //总共金额
		var type = $("#type").val(); //订单类型
	    var remark = $("#textarea").text().trim(); //购买备注
        $('#confirm_money').text(orderTotal); //确认支付金额
        $('#balance_money').text(orderTotal); //余额支付金额
        var good_info = getGoodIdAndNum();
	   	var all_id = good_info.all_id; //商品id拼接的字符串
	   	var all_num = good_info.all_num; //商品数量拼接的字符串
	   	if(all_id == ''){
			api.toast({
                msg:'您还未选择商品！'
            });
            return false;
	   	}
		if (!address_id) {
			api.toast({
                msg:'请选择收货地址！'
            });
            return false;
		}
	   checkUserLogin(function(){
	   	   var param = {token:user.token,address_id:address_id,goods_id:all_id,goods_num:all_num,apply_remark:remark};
	       sureFreeOrder(param); //下单成功，跳转到个人中心的免费拿信息里列表
	   },'../person/login.html');
	}
}
/**
 * 获取商品id和商品数量
 * @author xiaojie
 * @version 1.2
 * @date 2016/11/14
 */
function getGoodIdAndNum(){
	var all_id = '',all_num = '';
   	for(var i=0,ia_len = $(".goods").length;i<ia_len;i++){
   		all_id += $(".goods").eq(i).attr('data_id'); //商品id拼接的字符串
   		all_num += $(".goods").eq(i).attr('data_num');	//商品数量拼接的字符串
   	}
   	return {all_id:all_id,all_num:all_num};
}
/**
 * 点击确认按钮，确认免费拿订单
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/16
 */
function sureFreeOrder(param){
	AjaxSendData('Goods/applyFreeGoodsRecord','','',param,function(d){
		if(d.code == 1) {
		 $('#status').val(1); //设置确认状态为已下单
		 openNewWin('freeNa','../person/freeNa.html',{param:'freeOrderToFreeNa'});
		} else {
			api.toast({
	            msg:d.msg
            });
		}
			
	});
}