var param = null,vm=null,vm_order=null,type=null,id_str=null,num_str=null,good_id=null,user = LocalStorage.getLocalStorage("user");
apiready=function(){
	$api.fixStatusBar($api.dom('header'));
	id_str = api.pageParam.id_str; //商品
	num_str = api.pageParam.num_str; //商品数量
	type = api.pageParam.type ? api.pageParam.type : 0;  //订单类型
	param = {id_str:id_str,num_str:num_str,type:type,token:user.token}; //获取数据参数
	api.addEventListener({
	    name:'keyback'
    },function(ret,err){
    	api.sendEvent({
		    name:'cartReload'
	    });
	    api.closeWin({});
    });
    api.addEventListener({
    	name:'sureOrderReload'
    },function(ret,err){
    	$('#contain').show().html('<p class="prompt-text">暂无订单</p>');
    })
	vm = new Vue({ //初始化vue
		el:'#per_info',
		data:{
			perInfo:[],
			pay:[],
			balance:0.00
		}
	});
	vm_order = new Vue({
		el:'#all-goods-list',
		data:{
			order:[]
		},
		methods:{
			openGoodDetail:function(index){ //打开商品详情
				api.openWin({
			        name: 'goodDetailsRep',
			        url: '../good/goodDetailsRep.html',
			        pageParam: {goodId:index},
			        bounces:false,
			        delay:200
			    });
			}
		}
	});
	api.addEventListener({
	    name:'offline' //监听断网情况
	}, function(ret, err){       
		networkInfo();   
	});
	//监听刷新购买地址事件
	api.addEventListener({
	    name:'reloadAddr'
    },function(ret,err){
    	$('#loading-box').show();
		$('#main').hide();
		$('#calculate').hide();
		location.reload(true);
    });
 	getPersonInfo(); //收货地址信息
}

/**
 * 获取收货人地址信息
 * @author xiaojie
 * @version 1.0
 * @data 2016/11/12 
 */
function getPersonInfo(){
	AjaxSendData('Cart/get_checkout_list','','',param,function(d){
		if(d.code == 1 && d.data.default_address.dist) {
			vm.perInfo.push(d.data.default_address);
			$('#balance_money').text(d.data.userinfo.balance);
		} else {
			//收货地址为空
			$('#per_info').html('<div onclick="openNewWin(\'address_buy_order\',\'address_buy_order.html\',\'\')" class=\"empty-addr\">您暂无收货地址，请<span>设置</span>当前收货地址</div>');
		}
		getOrderInfo(); //订单列表
	});
}
/**
 * 获取订单列表
 * @author xiaojie
 * @version 1.0
 * @data 2016/11/12 
 */
function getOrderInfo(){
	AjaxSendData('Cart/get_checkout_cartList','','',param,function(d){
		if(d.code == 1 && d.data.cartList){
			var lists = d.data.cartList;
			vm_order.order = lists.goodsList;
			$('#money').text(lists.orderTotal);
			$('.confirm_money').text(lists.orderTotal);
		} else {
			//获取订单数据失败
			api.toast({
	            msg:d.msg
            });
		}
		$('#loading-box').hide();
		document.getElementById('main').style.display = 'block';
		document.getElementById('calculate').style.display = 'block';
	});
}
/**
 * 点击确认按钮，检查订单数据
 * @author xiaojie
 * @version 1.2
 * @date 2016/11/14
 */
function isOkOrder(){
	var order_group_sn = $("#order_group_sn").val(); //订单号
	if(order_group_sn != ''){ //已下单
		api.toast({
	        msg:'您已成功确认订单，请不要重复操作！'
        });
        return false;
	} else { //未下单
		var address_id = $('.addr-info').attr('data-id'); //地址id
		var orderTotal = $('#money').text().trim(); //总共金额
	    var remark = $("#textarea").text().trim(); //购买备注
		var token = user.token;
        $('#confirm_money').text(orderTotal); //确认支付金额
        var good_info = getGoodIdAndNum();
	   	var all_id = good_info.all_id; //商品id拼接的字符串
	   	var all_num = good_info.all_num; //商品数量拼接的字符串
	   	if(all_id == ''){
			api.toast({
                msg:'您还未选择商品！'
            });
            return false;
	   	}
		if (!address_id) {
			api.toast({
                msg:'请选择收货地址！'
            });
            return false;
		}
	   if(orderTotal < 0){
		  api.toast({
              msg:'操作有误！'
          });
           return false;
	   }
		
	   checkOrderData(address_id,remark,all_id,all_num,type); //订单数据正确，进行付款方式选择
	}
}
/**
 * 获取商品id和商品数量
 * @author xiaojie
 * @version 1.2
 * @date 2016/11/14
 */
function getGoodIdAndNum(){
	var all_id = '',all_num = '';
   	for(var i=0,ia_len = $(".goods").length;i<ia_len;i++){
   		all_id += ','+$(".goods").eq(i).attr('data_id'); //商品id拼接的字符串
   		all_num += ','+$(".goods").eq(i).attr('data_num');	//商品数量拼接的字符串
   	}
   	return {all_id:all_id,all_num:all_num};
}
/**
 * 订单数据正确，弹出支付方式选择弹框
 * @param {String} address_id 地址id
 * @param {String} remark 购买备注
 * @param {String} all_id 商品id拼接字符串
 * @param {String} all_num 商品数量拼接字符串
 * @param {String} type 订单id
 * @author xiaojie
 * @version 1.2
 * @date 2016/11/14
 */
function checkOrderData(address_id,remark,all_id,all_num,type){
	var data = {
	    token : user.token,
		address_id : address_id,
		remark : remark,
		all_id : all_id,
		all_num : all_num,
		type : type
	};
	AjaxSendData('Cart/add_order','','',data,function(res){
		if(res.code == 1){ //创建订单成功
			$("#order_group_sn").val(res.data.order_group_sn);
			api.toast({
	            msg:res.msg
	        });
	        $("#order_group_sn").val(res.data.order_group_sn);
			$('#cover').show();
			$('.pay-way').css('display','block').animate({
				bottom:'0px',
				opacity:1
			},300);
			$('#cover').click(function(){ //点击覆盖层，弹框消失
				$('.pay-way').animate({
					bottom:'-100px',
					opacity:0
				},300,function(){
					$(this).hide();
					$('#cover').hide();
				});
			});
			$('.cancel-pay').click(function(){ //点击取消按钮
				$('#cover').hide();
				$('.pay-way').animate({
					bottom:'-100px',
					opacity:0
				},300,function(){
					$(this).hide();
					$('#cover').hide();
				});
				openNewWin('mine-order','./mine-order.html',{id:1,state:1});
			});
			$('body,html').attr('style','overflow:hidden');
			//支付选择		
			var pay = new ClickActive($('.pay-span-right'),'active');
			pay.click();
			//余额选择
			$('.pay-yue-right').click(function(){
				if($(this).hasClass('active')){
					$(this).removeClass('active');
				}else{
					$(this).addClass('active');
				}
			});
		}else{ //创建订单失败
			api.toast({
	            msg:res.msg
            });
		}
	});	
}
/**
 * 点击确认支付按钮
 * @author xiaojie
 * @version 1.2
 * @date 2016/11/14
 */
function surePayOrder(){
	var pay_way = $(".pay_lis .active").attr('data_code');
	var balance_way = $(".balance-pay .active").attr('data_code');
	var order_group_sn = $("#order_group_sn").val();
	var user_money = $("#balance_money").text();
	var order_money = $('#money').text();
	if(pay_way == '' && balance_way == ''){
		api.toast({
	        msg:'请先选择支付方式！'
        });
        return false;
	}
	if(pay_way == '' && balance_way != '' && order_money > user_money){
		api.toast({
	        msg:'余额不足，请选择其它支付方式！'
        });
        return false;
	}
	if(order_group_sn == ''){
		api.toast({
	        msg:'操作有误！'
        });
        return false;
	}
	
	var pay_data = {token:user.token,pay_way:pay_way,order_group_sn:order_group_sn,balance_way:balance_way};
	AjaxSendData('Cart/order_pay','','',pay_data,function(lists){
		if(lists.code == 1){ //支付
			if(lists.data.type == 'alipay'){
				//支付宝支付
				alipay_payment(lists.data);
			}else if(lists.data.type == 'wxpay'){
				//处理微信支付
				wxpay_payment(lists.data);
			}else{
				$('#cover,.pay-way').hide();
				openNewWin('paySuccess', './paySuccess.html',''); //打开支付成功界面
			}
		}else{
			api.toast({
	            msg:lists.msg
            });
		}
		$('#cover').hide();
		$('.pay-way').animate({
			bottom:'-100px',
			opacity:0
		},300,function(){
			$(this).hide();
			$('#cover').hide();
		});
	});	
}

/**  点击添加样式  ClickActive
 *     clickObj   //点击的对象数组
 *     className  //需要添加的class名，控制样式
 */
function ClickActive(clickObj,className){
	this.clickObj = clickObj;
	this.className = className;
}
ClickActive.prototype = {
	click : function(){
		var _this = this;
		this.clickObj.on('click',function(){
			var index = $(this).index();
			_this.hide(index);
			$(this).addClass(_this.className);
		});
	},
	hide:function(index){
		this.clickObj.not(index).removeClass(this.className);
	}
}
/**  
 *返回
 * @author xiaojie
 * @version 1.2
 * @date 2016/11/14
 */
function backTo(){
	api.sendEvent({
	    name:'cartReload'
    });
	api.closeWin({
    });
}