
var user = LocalStorage.getLocalStorage('user');
/*
 * 发布分类和属性值获取后台下拉框的数据
 * @param {Object} catObj 分类dom
 * @param {Object} attrListObj 属性dom
 * author:panzi
 * version:1.2
 * data:2016/10/26
 */
function catAttrSelect(catObj,attrListObj){
	//分类获取后台数据
	AjaxSendData('Goods/get_publish_goods_cat','','','',function(json){
		var html_str = '',data_cat = json.data.cat,html = '',data_attr = json.data.attr;
		if(data_cat != '' && data_cat != null){
			for(var i = 0,len = data_cat.length;i < len;i++){
				html_str += '<option value="' + data_cat[i].id + '">' + data_cat[i].name + '</option>'			
			}
		}
		catObj.append(html_str);
		if(data_attr != '' && data_attr != null){
			for(var i = 0,len = data_attr.length;i < len;i++){
				html += '<option value="' + data_attr[i].cat_id + '">' + data_attr[i].cat_name + '</option>'
			}
		}
		attrListObj.append(html);
	});
	
	attrListObj.change(function(){
		var value = $(this).val().trim();
		AjaxSendData('Goods/get_publish_goods_attr_group','','',{cat_id:value},function(json){
			var data = json.data_state,html_str='';
			if(data){
				for(var i = 0,len = data.length;i < len;i++){
					html_str += '<div class="issue-info flex-wrap attr-group">'
					html_str +=      '<span >'+data[i].attr_name+'：</span>'
					html_str += 	 '<input type="text" class="attr-name" value=""/>'
					html_str +=   	 '<input type="hidden" class="attr-id" value="'+data[i].attr_id+'" />'
					html_str += '</div>'
				}
				document.querySelector('#attr-group').innerHTML = html_str;
			}else{
				if(document.querySelector('#attr-group>div')){
					document.querySelector('#attr-group>div').remove();
				}
			}
			if(document.querySelector('#attr-group')){
				document.querySelector('#attr-group').innerHTML = html_str;
			}
		});
	})
}

/*
 * 属性事件改变对应的变化;
 * @param :{Object} events 点击元素
 * author:jianxin 
 * version:1.0
 * data:2016/10/26
 **/

function attrListObjChange(events){
		var value = $(events).val().trim();
		AjaxSendData('Goods/get_publish_goods_attr_group','','',{cat_id:value},function(json){
			var data = json.data_state,html_str='';
			if(data){
				for(var i = 0,len = data.length;i < len;i++){
					html_str += '<div class="issue-info flex-wrap attr-group">'
					html_str +=      '<span >'+data[i].attr_name+'：</span>'
					html_str += 	 '<input type="text" class="attr-name" value=""/>'
					html_str +=   	 '<input type="hidden" class="attr-id" value="'+data[i].attr_id+'" />'
					html_str += '</div>'
				}
			}else{
				if(document.querySelector('#attr-group>div')){
					document.querySelector('#attr-group>div').remove();
				}
			}
			if(document.querySelector('#attr-group')){
				document.querySelector('#attr-group').innerHTML = html_str;
			}
		});
}
/*
 * 发布免费拿需要传给后台的值用验证是否成功
 * @param {Object} user 用户信息
 * @param {Object} param 传入后台的值
 * author:panzi
 * version:1.0
 * data:2016/10/24
 */
function freePassOnBackstage(user,param,Ids){
	if(Ids&&Ids!=null){
		param.goods_id=Ids;
	}
//	if(Ids==null){
//		param.shipping_fee_type = $('.transtion input:checked').val().trim();//运费类型（0:不区分商品数量默认运费；1：按商品数量收运费）
//	}else{
	param.shipping_fee_type = 0;
//	}
	param.token = user.token; //是否登录
	param.goods_name = $("#goods-name").val().trim();//商品名称
	param.province = $('#pro').val().trim();//省级ID
	param.city = $("#city").val().trim();//市区ID
	param.shop_price = 0; //出售价格 免费拿不用
	param.sale_price = 0; //原价   免费拿不用
	param.type = 2; //类型 1：出售 2：免费送
	param.freegoods_number = $('#freegoods-number').val().trim();//免费拿数量 2：免费送 时需要 即只有选择免费送的时候才传，否则不传
	param.goods_number = $("#goods-number").val().trim();//库存
	param.transportation = $("#transportation").val().trim();//基础运费
	param.isputaway = $('.shangjia input:checked').val().trim();//上架状态:0-下架，1-上架
	param.cat_id = $('#cat-id').val();//分类ID
	param.goods_type = $('#goods-type').val();//属性组ID 即下拉框内那个选项对应的id
	param.is_onlysell = 1; //是否加入只卖(1:代表只卖) 即不可置换  免费拿不用
	param.freeoffsale_time = 5;//记录免费送商品下架时间 传递值为天数 即多少天后下架
	param.goods_desc = $('#goods-desc').val();//商品描述
	return param;
}
/*
 * 发布商品需要传给后台的值用验证是否成功
 * @param {Object} user 用户信息
 * @param {String} uploadImg 上传商品地址
 * @param {Object} param 传入后台的值
 * author:panzi
 * version:1.0
 * data:2016/10/26
 */
function repPassOnBackstage(user,param){
	param.token = user.token; //是否登录
	param.goods_name = $("#goods-name").val().trim();//商品名称
	param.province = $('#pro').val().trim();//省级ID
	param.city = $("#city").val().trim();//市区ID
	param.shop_price = $('#shop-price').val().trim(); //出售价格 免费拿不用
	param.sale_price = $('#sale-price').val().trim(); //原价   免费拿不用
	param.type = 1; //类型 1：出售 2：免费送
	param.freegoods_number = 1;//免费拿数量 2：免费送 时需要 即只有选择免费送的时候才传，否则不传
	param.goods_number = $("#goods-number").val().trim();//库存
	param.transportation = $("#transportation").val().trim();//基础运费
	param.shipping_fee_type = $('.transtion input:checked').val().trim();//运费类型（0:不区分商品数量默认运费；1：按商品数量收运费）
	param.isputaway = $('.shangjia input:checked').val().trim();//上架状态:0-下架，1-上架
	param.cat_id = $('#cat-id').val();//分类ID
	param.goods_type = $('#goods-type').val();//属性组ID 即下拉框内那个选项对应的id
	param.is_onlysell = $('.zhimai input:checked').val().trim();; //是否加入只卖(1:代表只卖) 即不可置换  免费拿不用
	param.freeoffsale_time = 5;//记录免费送商品下架时间 传递值为天数 即多少天后下架
	param.goods_desc = $('#goods-desc').val().trim();//商品描述
	return param;
}
/*
 * 点击地址将数据放入页面之中
 * author:jianxin
 * param： provinceId:省 ，cityId：市,areaId:区,nameShow:显示名字
 * version:1.0
 * data:2016/10/26
 */
function cityCascade(provinceId,cityId,areaId,nameShow){
	createCitySelector(function(da){
		var str = '';
		for(var i = 0,len = da.length;i < len; i++){
			str += da[i].name;
			$(provinceId).val(da[0].id);
			if(len == 1){
				$(cityId).val('');
				$(areaId).val('');
				return;
			}else{
				$(cityId).val(da[1].id);
				if(da[2]){
					$(areaId).val(da[2].id);
				}
			}
		}
		$(nameShow).text(str);
	});
}
/**
 * 对填写的内容进行简单的验证
 * author:panzi
 * version:1.0
 * data:2016/11/04 
 */
function isExpChecked(uploadImgArr){
	var goods_name = $('#goods-name').val().trim();
	if(!goods_name){ api.toast({msg: '请输入商品名称'});return false;}
	var file_img = $('.file-img').length;
	if(!file_img){ api.toast({msg: '请上传商品图片'});return false;}
	var goods_number = $('#goods-number').val().trim();
	if(!goods_number) { api.toast({msg: '请输入商品库存'});return false;}
	var cat_id = $('#cat-id').val().trim();
	if(!cat_id) {api.toast({msg: '请选择商品分类'});return false;}
//	var goods_type = $('#goods-type').val().trim();
//	if(!goods_type) {api.toast({msg: '请选择商品属性'});return false;}
	//只用于发布
	var choice_city = $('#choice-city').text().trim();
	if(choice_city == "请选择省市区"){api.toast({msg: '请选择省份'});return false;}
	return true;
}

function moneyInfo(){ 
	var cat_id1 = $('#shop-price').val().trim(),cat_id2 = $('#sale-price').val().trim();
	if(!cat_id1) {
		api.toast({msg: '请输入价格'});
		return false;
	}
	if(!cat_id2) {
		api.toast({msg: '请输入原价'});
		return false;
	}
	return true;
}

/**
 * 免费拿单独数据检测
 * author:xiaojie
 * version:1.0
 * data:2016/12/06
 */
function checkFreeNaDate(){
	if(!$('#transportation').val().trim()) {
		api.toast({msg: '请输入运费'});
		return false;
	}
	if(!$('#freegoods-number').val().trim()) {
		api.toast({msg: '请输入免费送数量'});
		return false;
	}
	return true;
}