var user_obj = LocalStorage.getLocalStorage("user");
var token = user_obj.token;
var cur = null; //当前选中的充值方式单选按钮下标
var isOk = false; //数据是否正确
var popup = new Popup($('#popup'));
apiready = function(){
	api.addEventListener({
	    name:'offline'
	}, function(ret, err){       
		networkInfo();  
	});
	$api.fixStatusBar($api.dom('header'));
};
loadData();
var selectBox = $('#paycheck-lists');
document.getElementById('select-action').onclick = function(){
	if(this.getAttribute('status') == 1) showSelectBox(selectBox);
	else hideSelectBox(selectBox);
}
var radios = document.getElementById('paycheck-lists').getElementsByClassName('circle');
selectPaycheckMethod(radios,selectBox);
/**
 * 点击确定弹出询问覆盖层 
 * @author xiaojie
 * @version 1.0
 * @date 2016/10/27
 */
var popup = new Popup($('#popup'));
document.getElementById('ok-div').onclick = function(e){
	checkRechargeData();
	stopBubble(e); 
//			popup.showPopup();
}
document.getElementById('popup').onclick = function(e){
	stopBubble(e); 
	popup.hidePopup();
}
document.getElementById('cancle-btn').onclick = function(e){
	stopBubble(e); 
	popup.hidePopup();
}

document.getElementById('ok-btn').onclick = function(e){
	stopBubble(e); 
	popup.hidePopup();
	document.getElementById('cancle-btn').removeAttribute('style');
	if(isOk) {
		var rechargeValue = document.getElementById('amount-of-charge').value;
			var method = $('#paycheck-lists .active').attr('data_code');
			rechargeMoney(rechargeValue,method);	
		

	}
}

/**
 * 选择充值方式，单选
 * @param {Object} radios 按钮对象数组
 * @author xiaojie
 * @version 1.0
 * @date 2016/10/27
 */
function selectPaycheckMethod(radios,par){
	for(var i=0,len=radios.length;i<len;i++){
		(function(i){
			radios[i].onclick=function(){
				if(cur != null) {
					radios[cur].setAttribute('class','circle');
				}
				this.setAttribute('class','circle active');
				cur = i;
				document.getElementById('pay-method').innerText = this.getAttribute('data-value');
				hideSelectBox(par);
			}
		})(i);
	}
}
/**
 * 显示充值方式下拉框
 * @param {Object} obj 下拉框对象
 * @author xiaojie
 * @version 1.0
 * @date 2016/10/27
 */
function showSelectBox(obj){
	obj.animate({
		height:'101px'
	},function(){
		document.getElementById('select-action').setAttribute('status',0);
	});
}
/**
 * 收回充值方式下拉框
 * @param {Object} obj 下拉框对象
 * @author xiaojie
 * @version 1.0
 * @date 2016/10/27
 */
function hideSelectBox(obj){
	obj.animate({
		height:'33px'
	},function(){
		document.getElementById('select-action').setAttribute('status',1);
	});
}
/**
 * 检查充值数据是否有效
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/07
 */
function checkRechargeData(){
	var rechargeValue = document.getElementById('amount-of-charge').value;
	var methodValue = $('#pay-method').text();
	if(rechargeValue == '' || rechargeValue == ' '|| rechargeValue == '0.00'){
		document.getElementById('prompt-title1').innerText = '请输入充值金额！';
		$('.prompt-popup').css('display','block');
		$('.recharge-popup').css('display','none');
		popup.showPopup();
		return false;
	}
	if(!/^\d+(?:\.\d{1,2})?$/.test(rechargeValue)){
		document.getElementById('prompt-title1').innerText = '金额最多有两位小数！';
		$('.prompt-popup').css('display','block');
		$('.recharge-popup').css('display','none');
		popup.showPopup();
		return false;
	}
	if(methodValue == '请选择充值方式'){
		document.getElementById('prompt-title1').innerText = '请先选择支付方式！';
		$('.prompt-popup').css('display','block');
		$('.recharge-popup').css('display','none');
		popup.showPopup();
		return false;
	}
	if(rechargeValue != '' && methodValue != '请选择充值方式') {
		isOk = true;
		//充值金额
		$('.prompt-popup').css('display','none');
		$('.recharge-popup').css('display','block');
		document.getElementById('prompt-title').innerText = '是否确认充值';
		popup.showPopup();
	}
}
/**
 * 充值
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/07
 */
function rechargeMoney(price,pay_way){		
	var data = {token:token,sum_price:price,pay_way:pay_way};
	AjaxSendData('PayCheck/order_pay','','',data,function(result){
		if(result.code == 1){
			if(result.data.type == 'alipay'){
				//支付宝支付
				alipay_payment(result.data);
			}else if(result.data.type == 'wxpay'){
				//微信支付
				wxpay_payment(result.data);
			}
			document.getElementById('amount-of-charge').value = '';
			document.getElementById('select-action').setAttribute('status',1);
			document.getElementById('pay-method').innerText = '请选择充值方式';
		}else{
			$('.prompt-popup').css('display','block');
			$('.recharge-popup').css('display','none');
			document.getElementById('prompt-title1').innerText = result.msg;
			document.getElementById('prompt-title1').style['font-size'] = '12px';
			popup.showPopup();
		}
	});
}
/**
 * 渲染页面
 * @author xiaojie
 * @version 1.0
 * @date 2016/11/07
 */
function loadData(){
	var param = {token:token};
	AjaxSendData('MyIncome/userInfo','','',param,function(result){
		if(result.code == 1){
			$(".cash-amount").text(result.data.balance);
		}
	});
}