var user = LocalStorage.getLocalStorage("user"),vm = null;
apiready=function(){
	$api.fixStatusBar($api.dom('header'));
	api.addEventListener({
	    name:'offline'
	}, function(ret, err){       
		networkInfo();  
	});
	api.addEventListener({
	    name:'cartReload'
    },function(ret,err){
    	$('#loading-box').show();
    	$('#list_container').hide();
    	$('#calculate').hide();
    	location.reload(true);
    });
    /**
     * 购物车数据
     * @author xiaojie
     * @version 1.2
     * @data 2016/11/21 
     */
    vm = new Vue({ //初始化vue
    	el:'#container',
    	data:{
    		items:{},
    		curTotalMoney:0.00, //选中的商品总价格
    		selectPerGood:[], //是否选中个人的所有商品
    		perGoodCount:[], //个人商品数量
    		isAll:false, //是否全选
    		selectAccount:0, //选中商品个数，用于点击头像前的圆圈
    		selectGoodAccount: 0, //选中商品个数，用于点击商品前的圆圈
    		goodNum: 0, //商品总个数
    		status:true
    	},
    	methods:{
    		openGoodDetail:function(goodId){ //打开商品详情
	    		api.openWin({
			        name: 'goodDetailsRep',
			        url: 'good/goodDetailsRep.html',
			        pageParam: {goodId:goodId},
			        bounces:false,
			        delay:200,
					vScrollBarEnabled:false
			    });
    		},
    		deleteGood:function(parIndex,index,cartId,e){ //移除购物车商品
    			stopBubble(e);
    			api.confirm({
				    msg: '确认删除该商品吗？',
				    buttons: ['确定', '取消']
				}, function(ret, err) {
				    if(ret.buttonIndex == 1){ //确认删除商品
				    	sendDeleteGood(parIndex,index,cartId);
				    }
				});
    		},
    		selectAll:function(){ //点击全选按钮
    			var data = vm.items;
    			if(vm.isAll){
    				//已经全部选中，点击取消全选
    				setSelectOrCancel(data,'all');
    				vm.isAll = false;
    				vm.selectAccount = 0;
    				vm.selectGoodAccount = 0;
    				resetPersonSelect(); //重置个人下的所有商品选中状态
    				calc_price();
    			} else {
    				setSelectOrCancel(data,'cancel');
    				vm.isAll = true;
    				setPerGoodStatus(vm.items);
    				calc_price();
    			}
    			
    		},
    		selectPerson:function(parIndex,e){ //点击头像前的圆圈
    			stopBubble(e);
    			var parItems = vm.items[parIndex].list,a = vm.selectPerGood, b = vm.perGoodCount;
    			if(a[parIndex] == b[parIndex] && a.length && b.length) { //取消选择个人
    				vm.selectGoodAccount -= b[parIndex]; //减少选中的商品个数
    				vm.selectPerGood[parIndex] = 0; //已经选中，点击取消选中
    				for(var i=0,len=parItems.length;i<len;i++){
    					parItems[i].is_check = 0;
    				}
    				vm.isAll = false; //全选按钮取消选中
    			} else { //选中个人下的所有商品
    				vm.selectGoodAccount += b[parIndex] - a[parIndex]; //增加选中的商品个数
    				vm.selectPerGood[parIndex] = b[parIndex];
    				for(var i=0,len=parItems.length;i<len;i++){
    					parItems[i].is_check = 1;
    				} //增加选中的商品个数
    				if(vm.selectGoodAccount == vm.goodNum){
    					vm.isAll = true; //商品全部选中了
    				}
    			}
    			calc_price();
    		},
    		selectChild:function(flag,parIndex,index,e){ //选中或取消商品前的按钮
    			stopBubble(e);
    			var parItems = vm.items[parIndex].list,a = vm.selectPerGood, b = vm.perGoodCount;
    			if(parseInt(flag)) { //已经选中商品，点击取消选中
    				vm.selectGoodAccount--;
    				parItems[index].is_check = 0;
    				vm.selectPerGood[parIndex] = a[parIndex] - 1; //减少个人的商品选中个数
    				vm.isAll = false;
    			} else {
    				vm.selectGoodAccount++;
    				parItems[index].is_check = 1;
    				vm.selectPerGood[parIndex] = a[parIndex] + 1;
    				if(vm.selectGoodAccount == vm.goodNum) { //商品全部选中
	    				vm.isAll = true;
	    			}
    			}
    			calc_price();
    		},
    		descCount:function(obj,parIndex,index,e){ //减少购物车数量
    			stopBubble(e);
    			var obj = $('#'+obj);
    			var numObj = vm.items[parIndex].list[index];
				var val = parseInt(obj.text().trim());
				if(val-- > 1) numObj.goods_num = val;
				calc_price();
			},
			addCount:function(obj,parIndex,index,e){ //增加购物车数量
    			stopBubble(e);
    			var obj = $('#'+obj);
				var val = parseInt(obj.text().trim()) + 1;
				var numObj = vm.items[parIndex].list[index];
				numObj.goods_num = val;
				calc_price();
			},
			checkOut:function(){ //点击结算按钮，进入确认购买订单
				var lis = '', ars = '';
			  	for(var a in vm.items){
		  			var oItems = vm.items[a].list;
			    	for(var i=0,len=oItems.length;i<len;i++){
			    		if(oItems[i].is_check == 1) { //被选中的商品
				    		lis += ','+oItems[i].goods_id;
				    		ars += ','+oItems[i].goods_num;
			    		}
			    	}    
				}
				if(lis == '' || ars == ''){
					api.toast({
				        msg:'请先选择加入购物车的商品, 再点击结算按钮提交！'
			        });
					return false;
				}else{
					var check_data = {token:user.token,goods_str:lis,nums_str:ars};
					AjaxSendData('Cart/check_ok','','',check_data,function(ret){ //结算按钮
						if(ret.code == 1){
							openNewWin('sure-buy-order','order/sure-buy-order.html',{uId:LocalStorage.getLocalStorage('userId'),id_str:lis,num_str:ars,type:0});
						}else{
							api.toast({
	                            msg:ret.msg
                            });
						}
					})
				}
    		}
		}
	});
    reload_data(); //加载购物车数据
}
/**
 * 获取购物车列表数据
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/15
 */	
function reload_data(){
	AjaxSendData('Cart/get_cart_list','','',{token:user.token},function(lists){
		if(lists.code == 1 && lists.data){ //购物车中有数据
			vm.items = lists.data.goodsList;
			vm.curTotalMoney = lists.data.check_totalGoodsPrice ? lists.data.check_totalGoodsPrice.toFixed(2) : '0.00';
			setPerGoodStatus(lists.data.goodsList);
			isSelectAll();
			$('#list_container').show();
			$('#calculate').show();
			$('#empty').hide();
		}else{ //购物车为空
			$('#list_container').hide();
			$('#calculate').hide();
			$('#empty').show();
		}
		$('#loading-box').hide();
	});
}
/**
 * 全选或取消全选
 * @param {Object} d 后台返回的购物车列表数量
 * @param {String} control 用户控制
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/15
 */	
function setSelectOrCancel(d,control){
	var l = 0;
	for(var a in d){
		var lists = d[a].list, len = lists.length;
		l += len;
		for(var i=0;i<len;i++){
			if(control == 'all') lists[i].is_check = 0;
			else lists[i].is_check = 1;
		}
	}
}
/**
 * 获取选中个人商品的数量
 * @param {Object} d 后台返回的购物车列表数量
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/15
 */	
function setPerGoodStatus(d){
	vm.selectAccount = 0;
	vm.selectGoodAccount = 0;
	vm.goodNum = 0;
	var selectArr = new Array(), perGood = new Array();
	for(var a in d){
		var lists = d[a].list, len = lists.length, temp = 0;
		for(var i=0;i<len;i++){
			if(lists[i].is_check == 1){
				++temp;
			}
		}
		selectArr[a] = temp;
		perGood[a] = len;
		vm.selectGoodAccount += temp;
		vm.goodNum += len;
	}
	vm.perGoodCount = perGood;
	vm.selectPerGood = selectArr;
}
/**
 * 判断是否全部选中，修改isAll的值
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/15
 */	
function isSelectAll(){
	var countArr = vm.perGoodCount.length;
	for(var i=0;i<countArr;i++){
		if(vm.perGoodCount[i] != vm.selectPerGood[i]){
			return false;
		}
	}
	return true;
}
/**
 * 重置选中个人下的商品数组
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/15
 */	
function resetPersonSelect(){
	var tmp = new Array();
	for(var i=0,len=vm.selectPerGood.length;i<len;i++){
		tmp.push(0);
	}
	vm.selectPerGood = tmp;
}
/**
 * 移除购物车商品
 * @param {String} goodId 删除的商品id
 * @param {String} parIndex 删除外层id
 * @param {String} index 删除商品列表id
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/15
 */	
function sendDeleteGood(parIndex,index,cartId){
	var rec_id = cartId; //购物车id
	AjaxSendData('Cart/remove_out_cart','','',{token:user.token,rec_id:rec_id},function(d){
		if(d.code){ //删除商品成功
			if(vm.items[parIndex].list) { //商品列表存在时才删除
				var parItems = vm.items[parIndex].list; 
		    	parItems.splice(index,1);
		    	if(parItems.length == 0) { //该卖家下的商品都已删除完，需将头像也删除
		    		delete vm.items[parIndex];
		    	}
				if($('.lists li').length == 1) { //购物车的商品被清空了
					$('#list_container').hide();
					$('#calculate').hide();
					$('#empty').show();
				}
				calc_price();
			}
		}else{ //删除商品失败
			api.toast({
	            msg:'删除购物车商品失败'
            });
		}
	});
}
/**
 * 点击逛逛
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/15
 */	
function showIndex(){
	api.sendEvent({
	    name:'guangguang'
    });
    api.closeFrame({
    });
}
/**
 * 获取所有选中商品总金额
 * @param {Object} 返回选中商品的总金额
 * @author lfq
 * @version 1.1
 * @date 2016/10/20
 */
function calc_price(){
    var total_price=0;
    for(var a in vm.items){
    	var is_check=0;
    	var simple_price=0;
    	var lis = vm.items[a].list;
    	for(var i=0,len=lis.length;i<len;i++){
    		if(lis[i].is_check == 1) {
    			is_check = 1;
    		} else {
    			is_check = 0;
    		}
		    var calc_num = lis[i].goods_num; //数量
		    var cale_price_one = lis[i].shop_price; //单价
			simple_price = parseInt(is_check) * (parseInt(calc_num) * parseFloat(cale_price_one));
		    total_price +=simple_price;
    	}    
	}
    vm.curTotalMoney = parseFloat(total_price).toFixed(2);
}
