var Config = {
//  'URL':'http://192.168.0.187/yyh/Client/',//通用url地址
//  'PIC_URL':'http://192.168.0.187/yyh',//图片通用url地址
	//将ceshi.jindingaus.com 改成你们的域名就行
	//'PIC_URL':'http://ceshi.jindingaus.com',
	//'URL':'http://ceshi.jindingaus.com/Client/',
	'PIC_URL':'http://app.xiancaivip.com',
	'URL':'http://app.xiancaivip.com/Client/',
	'fix_str':'1bb28d6e62b9468fa7ebb843b7d58f7a'//加密时固定使用的str
};
/**
 * ajax传递数据封装 
 * @param {Object} path 方法访问路径
 * @param {Object} method ajax提交方法,默认为post，可选项为post|get
 * @param {Object} dataType ajax获取的数据类型，默认为json
 * @param {Object} param ajax传递的参数，为对象，如{id:10,name:"Mary"}，参数为空时，传空字符串
 * @param {Object} callback 回调函数
 */
function AjaxSendData(path,method,dataType,param,callback){
	this.path = path ? path : '';
	this.sendMethod = method ? method : 'post';
	this.dataType = dataType ? dataType : 'json';
	this.param = param ? param : '';
	this.callback = callback && typeof(callback) === 'function' ? callback : function(d){alert('传入的回调 函数不正确');};
	var paramsters = setParam(this);
	sendData(this,paramsters);
}

function setParam(obj){
	var today = new Date();
	today.setHours(0);
	today.setMinutes(0);
	today.setSeconds(0);
	today.setMilliseconds(0);
	today = today.getTime()/1000;
	var md5_str,parameters;
	var pa = obj.param;
	if(pa === '') {
		md5_str = hex_md5(today+Config.fix_str);
		parameters = {};
	} else {
		md5_str = hex_md5(obj.path+today+Config.fix_str);
		parameters = obj.param;
	}
	parameters.sign = md5_str;
	return parameters;
}
function sendData(obj,par){
	$.ajax({
	    url:Config.URL+obj.path,
	    type:obj.sendMethod,
	    data: par,
	    success:function(d){
	    	obj.callback.call(this,d);
	    }
    });
}
/**
 * 打开新窗口 
 * @param {Object} name 打开窗口的名字
 * @param {Object} path 打开窗口的路径
 * @param {Object} param 传递参数，无参数时，传递空字符串
 * @author xiaojie
 * @version 1.0
 * @data 2016/10/19
 */
function openNewWin(name, path, param) {
	if(!param) {
		api.openWin({
		    name: name,
		    url: path,
		    slidBackEnabled:false,
		    progress:{
			    type:"page",
			    title:"正在加载，请稍后...",
			    text:"正在努力加载",
			    color:""
			},
			vScrollBarEnabled:false
	    });
	} else{
		api.openWin({
		    name: name,
		    url: path,
		    pageParam:param,
		    slidBackEnabled:false,
		    progress:{
			    type:"page",
			    title:"正在加载，请稍后...",
			    text:"正在努力加载",
			    color:""
			},
			vScrollBarEnabled:false
	    });
	}
}
/**
 * 打开新窗口 
 * @param {Object} name 打开窗口的名字
 * @param {Object} path 打开窗口的路径
 * @param {Object} param 传递参数，无参数时，传递空字符串
 * @author xiaojie
 * @version 1.0
 * @data 2016/10/19
 */
function openNewWinReload(name, path, param) {
	if(!param) {
		api.openWin({
		    name: name,
		    url: path,
		    slidBackEnabled:false,
		    progress:{
			    type:"page",
			    title:"正在加载，请稍后...",
			    text:"正在努力加载",
			    color:""
			},
			reload:true,
			vScrollBarEnabled:false
	    });
	} else{
		api.openWin({
		    name: name,
		    url: path,
		    pageParam:param,
		    slidBackEnabled:false,
		    progress:{
			    type:"page",
			    title:"正在加载，请稍后...",
			    text:"正在努力加载",
			    color:""
			},
			reload:true,
			vScrollBarEnabled:false
	    });
	}
}
/**
 * 用户对象 
 * @author xiaojie
 * @version 1.0
 * @data 2016/10/19
 */
function User(member_name,image,real_name,balance,sex,doudou,rank_name,rank_ico,type,level_id,token,nick_name,phone,id){
	this.member_name = member_name; //用户账号
	this.image = image; //用户头像
	this.real_name = real_name; //真实名称
	this.balance = balance; //余额
	this.sex = (sex==1?'男':'女');//1nan2nv
	this.doudou = doudou; //换豆数量
	this.rank_name = rank_name; //用户等级名称
	this.rank_ico = rank_ico; //等级图标
	this.type = type; //账号类型 1：注册账号 2：微信账号 3：QQ账号
	this.level_id = level_id; //用户等级ID
	this.token = token; //登录后生成的token值
	this.nick_name = nick_name; //昵称
	this.phone = phone; //电话号码
	this.islogin = true;
	this.id = id ? id : 0; //用户id
}
/**
 * 检查用户是否登录 
 * @param {Object} fn 用户登录后的回调函数，若无，则传空字符串
 * @param {String} path 登录页面的相对当前html的相对路径
 * @author xiaojie
 * @version 1.0
 * @data 2016/10/19
 * @eg:
 * 			checkUserLogin(function(){
        		openFrameFun(index);
        	},'html/person/login.html');
 */
function checkUserLogin(fn,path){
	var user = LocalStorage.getLocalStorage('user');
	if(user){
		if(user.islogin){
			fn.call(this);
		}else{
			openNewWin('login.html',path,'');
		}
	}else {
		openNewWin('login.html',path,'');
	}
}
//初始化到第一位
function styleSetOne(parents){
	var eFootLis = $api.domAll(parents);
	for (var i = 0,len = eFootLis.length; i < len; i++) {
            $api.removeCls(eFootLis[i], 'active');
    	}
	$api.addCls( eFootLis[0], 'active');
}



/**
 * localStorage数据存储 
 * @author xiaojie
 * @version 1.1
 * @date 2016/10/19
 */
var LocalStorage = {
	/**
	 * 判断是设备否支持localStorage
	 */
	isSupposeStorage:function(){
		if(window.localStorage) return true;
		else return false;
	},
	/**
	 * 设置数据存储
	 * @param {string} key 键
	 * @param data 值 
	 */
	setLocalStorage:function(key,data){
		if(this.isSupposeStorage() && data) {
			if(typeof(data)==='object') data = JSON.stringify(data);
			window.localStorage.setItem(key,data);
		}
	},
	/**
	 * 取数据
	 * @param {string} key 键
	 * @param data 值 
	 */
	getLocalStorage:function(key){
		if(this.isSupposeStorage() && key) {
			var user;
			if(key==='user') user = window.localStorage.getItem(key);
			if(user) return $.parseJSON(user);
			return window.localStorage.getItem(key);
		}
	},
	/**
	 * 清除数据存储
	 * @param {string} 如果是清除所有数据，则传all；如果是清除特定数据，则传''
	 * @param {string} 键
	 */
	clearLocalStorage:function(str,key){
		if(this.isSupposeStorage()) {
			if(str === 'all') window.localStorage.clear();
			else window.localStorage.removeItem(key);
		}
	}
};

	/*
	 *动态实现元素高度等于元素的宽度；
	 * @param {Object} tagName1 要设置元素高
	 * @param {Object} tagName2 要获取元素的宽
	 * @author：jianxin
	 * @version 1.0
	 * data:2016/10/31
	 * */
	
	function getWidthSethigth(tagName1,tagName2){
		$(tagName1).css('height',$(tagName2).css('width'));
	}
	
	/*
	 * 删除当前页面，下一个页面执行函数方法；
	 * @param {string} names 要绑定监测的事件
	 * @author：jianxin
	 * @version 1.0
	 * data:2016/11/02
	 * */
	function detailpage(names){
		//关闭当前页面；
		api.closeWin({});
		//刷新跳转到指定页面;
		api.sendEvent({
    	name: names
			//extra: {
			//key1: 'value1',
			//key2: 'value2'
			//}
		});
	}
	/*
	 * 刷新页面
	 * @param {string} names 要监测的事件名称
	 * @author：jianxin
	 * @version 1.0
	 * data:2016/11/02
	 * */
	function shuaXin(names){
		api.addEventListener({
			name : names
		}, function(ret,err) {
			exec();
		 });
	}
/*
 * 正则言正，非负整数
 * @param {string} domTage 验证的元素节点
 * @param {string} start 判断是那种验证 1.是正数，其他的是正整数
 * @author:jianxin
 * @version 1.0
 * data:2016/11/0
 * */
function isNonnegative(domTage,start)
	{	
		var value= $(domTage).val();
		var check= /^\d+(\.{0,1}\d+){0,1}$/;
		var check1 = /^(0|\+?[1-9][0-9]*)$/;
		if(start ==1){
			if(value&&!check.test(value))
				{
					api.toast({msg: '只能输入正数！'});
					$(domTage).val('');
					return false;
				}
			else 
				{
					return true;
				}
		}else{
			if(value&&!check1.test(value))
				{
					api.toast({msg: '库存只能输入正整数！'});
					$(domTage).val('');
					return false;
				}
			else 
				{
					return true;
				}
		}
	}    
	
	/*输入范围验证*/
	function theScopeOf(nameid){
		var numval = $(nameid).val();
		if(numval==0){
			api.toast({msg: '请正确填写！'});
			$(nameid).val('');			
		}
	}
	
	
	/*
	 * 免费送库存对比事件
	 * */
	function contrast(freeNameid,cangkuid){
		var freeOne =  parseInt($(freeNameid).val());
    	var kucun = parseInt($(cangkuid).val());
		if(freeOne>kucun){
				api.toast({msg: '免费送不能大于库存！'});
				$(freeNameid).val('');
		}
	}
	
	/*
	 *网络判断是否断网
	 *@author:jianxin
	 * */
	
	function networkInfo(){
		var networks1 = window.localStorage.networks1;
		if(!networks1){
			localStorage.setItem("networks1","a");
			api.toast({
	            msg:'呜呜，娘子断网了！'
            });
		}else{
			localStorage.removeItem('networks1');
		} 
	}
