var user = LocalStorage.getLocalStorage('user'),data_ww_val = '',total_page='',page_num = 1,vm={},goods_num = '',isClick = false;
var token = user.token;
apiready = function(){
	$api.fixStatusBar($api.dom('header'));
	var state = api.pageParam.state;
	ajaxRequest(state,1);
	api.addEventListener({
	    name:'offline'
	}, function(ret, err){       
		networkInfo();  
	});
};
/**
 * 获取订单各种状态的数量
 * @author xiaojie
 * @version 1.0
 * @data 2016/11/21 
 */
function getAllStatusNum(){
	AjaxSendData('SellerOrder/get_seller_order_state_num','','',{token:token},function(d){
		var data = d.data;
		var order_num = $('.goods-num');
		for(var i=0,len=order_num.length;i<len;i++){
			var classify = order_num[i].getAttribute('status');
			order_num[i].innerText = data[classify] ? data[classify] : 0;
		}
		isClick = true;
		isFirst = false;
	});
}
/**
 * 点击导航栏判断是否可以请求后台
 * @author xiaojie
 * @version 1.0
 * @data 2016/11/21 
 */
function clickNav(obj){
	if(isClick) {
		var ww_val = $(obj).attr('data-ww-val');
		isClick = false;
		changePage(obj,ww_val,1);
	} else return false;
}
//导航切换，获取不同的后台数据
function changePage(This,idx,pageNum){
	$('.classify').removeClass('active');
	$(This).addClass('active');
	$('#bottom-load').css('display','none');
	document.getElementById('main').style['display'] = 'none';
	document.getElementById('loading-box').style['display'] = 'block';
	data_ww_val = $(This).attr('data-ww-val');
	ajaxRequest(idx,pageNum);
}
//重新刷新页面
function loadAjax(){
	document.getElementById('main').style['display'] = 'none';
	document.getElementById('loading-box').style['display'] = 'block';
	AjaxSendData('SellerOrder/get_seller_order_list','','',{token:token,state:data_ww_val,page:1,pageSize:5},function(json){
		if(json.code == 0){
			vm.items = [];
		}else{
			vm.items = json.data;
			total_page = json.total_page;
		}
		getAllStatusNum();
		document.getElementById('main').style['display'] = 'block';
		document.getElementById('loading-box').style['display'] = 'none';
		$('#bottom-load').css('display','block');
	})
	loadMore(data_ww_val);
}

/**
 * ajax请求
 * state {number} state传入状态值
 * pageNum {number} 当前的页数 
 * author:panzi
 * version:1.0
 * data:2016/11/04 
 */
function ajaxRequest(userState,pageNum){
	AjaxSendData('SellerOrder/get_seller_order_list','','',{token:token,state:userState,page:pageNum,pageSize:5},function(json){
		if(json.code == 0){
			vm.items = [];
		}else{
			vm.items = json.data;
			total_page = json.total_page;
		}
		getAllStatusNum();
		if(json.data.length > 4){
			$('#bottom-load').css('display','block');
			$('#bottom-load>img').css('display','block');
			$('.load-text').text('加载更多');
		}
		document.getElementById('main').style['display'] = 'block';
		document.getElementById('loading-box').style['display'] = 'none';
		loadMore(userState);
	})
}
/**
 * 上滑加载更多 
 */
function loadMore(state){
	var page_num = 1;
	api.addEventListener({
   	    name:'scrolltobottom',
   	    extra:{
   	        threshold:0            //设置距离底部多少距离时触发，默认值为0，数字类型
   	    }
   	}, function(ret, err){
   		if(page_num < total_page){
   			page_num++; 
			AjaxSendData('SellerOrder/get_seller_order_list','','',{token:token,state:state,page:page_num,pageSize:5},function(json){
				if(json.code == 1){
					vm.items=vm.items.concat(json.data);
				}else{
					return;
				}
			})
   			$('#bottom-load').css('display','block');
			$('#bottom-load>img').css('display','block');
			$('.load-text').text('加载更多');
   		}else{
   			//加载到底部
   			$('#bottom-load').css('display','block');
			$('#bottom-load>img').css('display','block');
			$('.load-text').text('已经没有更多数据了');
			$('#bottom-load>img').css('display','none');
			setTimeout(function(){
				$('#bottom-load').css('display','none');
				$('.load-text').text('加载更多');
			},2000);
   		} 
   	})
}
/**
 *  vue渲染
 * @param {Object} json 后台返回的json
 * @author : panzi
 * @version: 1.0
 * @date  2016/11/12
 */
var module={
	items:[]
}
var vm = new Vue({
	el:'#main',
	data:module,
	methods:{
		openDetailsRep:function(id){
			openNewWin('goodDetailsRep','../good/goodDetailsRep.html',{goodId:id})
		},
		openWuLiu:function(id){
			openNewWin('wuliuOrder','../person/wuliuOrder.html',{order_id:id})
		},
		openDetailsFree:function(id){
			openNewWin('freeGoodDetails','../good/freeGoodDetails.html',{goodId:val.goods_id})
		}
	}
});